From: Ole Streicher <olebole@debian.org>
Date: Mon, 6 Jan 2020 17:24:45 +0100
Subject: Mark failing tests as xfail

Theses tests fail due to a bug in gwcs; see

https://github.com/spacetelescope/gwcs/issues/277
---
 specutils/io/asdf/tags/tests/test_spectra.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/specutils/io/asdf/tags/tests/test_spectra.py b/specutils/io/asdf/tags/tests/test_spectra.py
index 7363a53..2e05a07 100644
--- a/specutils/io/asdf/tags/tests/test_spectra.py
+++ b/specutils/io/asdf/tags/tests/test_spectra.py
@@ -22,6 +22,7 @@ def create_spectrum1d(xmin, xmax, uncertainty=None):
                       uncertainty=uncertainty)
 
 
+@pytest.mark.xfail
 def test_asdf_spectrum1d(tmpdir):
 
     spectrum = create_spectrum1d(5100, 5300)
@@ -30,6 +31,7 @@ def test_asdf_spectrum1d(tmpdir):
     assert_roundtrip_tree(tree, tmpdir)
 
 
+@pytest.mark.xfail
 def test_asdf_spectrum1d_uncertainty(tmpdir):
 
     spectrum = create_spectrum1d(5100, 5300, uncertainty=True)
@@ -45,6 +47,7 @@ def test_asdf_spectralaxis(tmpdir):
     tree = dict(spectral_axis=spectral_axis)
     assert_roundtrip_tree(tree, tmpdir)
 
+@pytest.mark.xfail
 def test_asdf_spectrumlist(tmpdir):
 
     spectra = SpectrumList([
